//Declaraci?n de las variables globales

var TIPO_B = 'B';

var TIPO_C = 'C';

//Se realiza la b?usqueda

function realizarBusqueda(){

	//Formulario en el que nos encontramos

	var form = document.formBuscadorGeneral;

	//Se realiza un submit del formulario

	form.submit();

}

//Se selecciona el valor y se carga en la ventana padre

function seleccionarCampo(){

	//Se obtienen las variables de la ventana padre

	var nombreTextoA 		= document.forms[0].targetTextA.value;

	var nombreTextoB 		= document.forms[0].targetTextB.value;

	var nombreCodigoA 		= document.forms[0].targetCodigoA.value;

	var nombreValorOculto 	= document.forms[0].targetValue.value;

	//Se asignan los valores

	var valorOculto 	= eval("window.opener.document.all['"+nombreValorOculto+"']");

	var valorTextoA  	= eval("window.opener.document.all['"+nombreTextoA+"']");

	valorOculto.value 	= obtenerValorCheck(document.forms[0].numInterno);

	valorTextoA.value 	= obtenerValorCheck(document.forms[0].descripcionA);

	//Se comprueba si el nombreTextoB tiene valor

	if(nombreTextoB != ""){

		//Se asignan los valores

		var valorTextoB 	= eval("window.opener.document.all['"+nombreTextoB+"']");

		valorTextoB.value 	= obtenerValorCheck(document.forms[0].descripcionB);

	}

	//Se comprueba si el nombreTextoB tiene valor

	if(nombreCodigoA != ""){

		//Se asignan los valores

		var valorCodigoA 	= eval("window.opener.document.all['"+nombreCodigoA+"']");

		valorCodigoA.value 	= obtenerValorCheck(document.forms[0].codigo);

	}

	//se coloca el foco en el campoA del formulario que hace la llamada

	//siempre y cuando el campo no est? oculto	

	if(window.opener.document.all[document.forms[0].targetTextA.value].type!="hidden"){

		window.opener.document.all[document.forms[0].targetTextA.value].focus();

	}

	//Se llama a la funcion pasada en parametro 

	devuelveLlamada();

	//Se cierra la ventana

	cerrarPopUp();

}

//llama a una function event de la pagina llamante

function devuelveLlamada() {



	// controlamos si se tiene que llamar a una funcion de la pagina llamante

	var callBackFunctionJS = document.all["callBackFunctionJS"].value; 



	if (callBackFunctionJS)

	{

		// la llamada a dicha funcion : evalua windows.opener.callBackFunctionJS(); 

		functionInstance  = eval ( "window.opener." +   callBackFunctionJS + "()"  ); 

	}

}

//Se chequea la descripcion

function checkDescripcion(){

	//Se obtienen la variables a recorrer

	var array 			= document.forms[0].numInterno;

	var arrayHiddenA 	= document.forms[0].descripcionA;

	var tipo			= document.forms[0].tipoBuscador.value;

	//Se deshabilitan todos los checks ocultos

	deshabilitarCheckDescripcion(arrayHiddenA);

	//Se habilita la descripcion

	habilitarCheckDescripcion(array,arrayHiddenA);

	//Si es de tipo B entramos

	if(tipo == TIPO_B || tipo == TIPO_C) {

		//Se obtiene el array para recorrer las descripciones B

		var arrayHiddenB = document.forms[0].descripcionB;

		//Se deshabilitan todos los checks ocultos

		deshabilitarCheckDescripcion(arrayHiddenB);

		//Se habilita la descripcion

		habilitarCheckDescripcion(array,arrayHiddenB);

	}

	if (document.forms[0].targetCodigoA && document.forms[0].targetCodigoA.value!="")

	{

		//Se obtiene el array para recorrer los c?digos A

		var arrayHiddenCodA = document.forms[0].codigo;

		//Se deshabilitan todos los checks ocultos

		deshabilitarCheckDescripcion(arrayHiddenCodA);

		//Se habilita la descripcion

		habilitarCheckDescripcion(array,arrayHiddenCodA);

	}

}

//Se deshabilitan todos los checks ocultos

function deshabilitarCheckDescripcion(arrayHidden){

	for (var i=0; i < arrayHidden.length; i++){

			arrayHidden[i].checked = false;

	}

}

//Se habilita la descripcion

function habilitarCheckDescripcion(array,arrayHidden){

	for (var i=0; i < array.length; i++){

		if (array[i].checked){

		   arrayHidden[i].checked = true;

		   break;

		}

	}

}

//Obtener el valor del check

function obtenerValorCheck(array){

	if(array.length == undefined){

		return array.value;

	} else {

		for (var i=0; i < array.length; i++){

			if (array[i].checked){

				return array[i].value;

			}

		}

	}

}

//Se cierra el pop-up

function cerrarPopUp(){

	window.close();

}

function onLoadPage()

{

	var array = document.forms[0].numInterno;

	if(array)

	{

		if(array.length == undefined){

			array.click();

		} else {

			array[0].click();

		}

	}else  {

		document.all["seleccionar"].disabled=true; 

	}

}